Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 354911 - app-office/openoffice-3.2.1-r1[nsplugin] compile fail with dev-libs/libxml2-2.7.8 +icu
Summary: app-office/openoffice-3.2.1-r1[nsplugin] compile fail with dev-libs/libxml2-2...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords:
: 360817 361431 367829 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-02-14 20:48 UTC by Jonathan Heaney
Modified: 2011-07-27 17:08 UTC (History)
14 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
full build log (build.log.xz,346.11 KB, application/octet-stream)
2011-02-15 15:39 UTC, Matthias Liebig
Details
This patch fixes the xmlsecurity breakage with libxml2+icu for me. (libreoffice-3.3.0_libxmlsec_fix_extern_c.diff,1.23 KB, patch)
2011-02-17 04:56 UTC, Neil Cathey
Details | Diff
Proposed patch for app-office/openoffice-3.2.1 (*not* libreoffice) (support-libxml2+icu.diff,1.60 KB, patch)
2011-03-10 14:36 UTC, Florian
Details | Diff
bzip'ed build log (app-office:openoffice-3.2.1-r2:20110310-141637.log.bz2,403.24 KB, application/octet-stream)
2011-03-19 11:17 UTC, Florian
Details
ebuild with patch applied (openoffice-3.2.1-r2.ebuild,13.25 KB, text/plain)
2011-03-19 11:19 UTC, Florian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Heaney 2011-02-14 20:48:46 UTC
Latest ~amd64 openoffice ebuild fails to compile when dev-libs/libxml2-2.7.8 is built with the icu USE flag.

https://bugs.gentoo.org/show_bug.cgi?id=354757

Refers to a similar problem building wine with latest libxml2 +icu.

Other apps installed (chromium) require libxml2-2.7.8 +icu.

Am currently recompiling openoffice with libxml2 +icu - it will fail, but I did not get the build log from the previous failed attempt.

Reproducible: Always

Steps to Reproduce:
1. emerge openoffice <- fails
2. USE="-icu" emerge -1 libxml2
3. emerge openoffice <- works




emerge --info
Portage 2.2.0_alpha23 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.2, glibc-2.13-r0, 2.6.37-pf2 x86_64)
=================================================================
System uname: Linux-2.6.37-pf2-x86_64-Intel-R-_Core-TM-_i5_CPU_760_@_2.80GHz-with-gentoo-2.0.1
Timestamp of tree: Sun, 13 Feb 2011 21:15:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.7.1, 3.1.3
dev-util/cmake:      2.8.3-r1
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
Repositories: gentoo local
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL dlj-1.1 AdobeFlash-10 AdobeFlash-10.1"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="ftp://mirrors.linuxant.fr/distfiles.gentoo.org/"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_GB"
MAKEOPTS="-j4 -l4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://foucault/gentoo-portage"
USE="X a52 aac acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cddb cdparanoia cdr cli consolekit cracklib crypt cups curl cxx dbus dga dri dts dv dvd dvdr emboss encode exif expat fam ffmpeg firefox flac foomaticdb fortran gdbm gdu geoip gif glibc-omitfp glitz gphoto2 gpm gtk handbook iconv icu idn ieee1394 imagemagick joystick jpeg jpeg2k kde lame lcms libnotify lm_sensors lzma mad mikmod mjpeg mmx mmxext mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pango pch pcre pdf perl png policykit ppds pppd python qt3support qt4 readline sdl session sndfile sox speex spell sqlite sse sse2 sse3 ssl ssse3 startup-notification svg sysfs system-sqlite tcpd theora threads tiff truetype udev unicode usb vcd vdpau vorbis wmf x264 xcb xcomposite xml xorg xscreensaver xulrunner xv xvid yv12 zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_GB" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Jonathan Heaney 2011-02-14 23:12:19 UTC
Last few lines from the build log, xmlsecurity appears to be the modules that fails-

Compiling: rsc_sw
Name "main::name" used only once: possible typo at /var/tmp/portage/app-office/openoffice-3.2.1-r1/work/ooo/build/OOO320_m19/solenv/bin/deliver.pl line 1312.
Module 'sw' delivered successfully. 266 files copied, 0 files unchanged

1 module(s):
        xmlsecurity
need(s) to be rebuilt

Reason(s):

ERROR: error 65280 occurred while making /var/tmp/portage/app-office/openoffice-3.2.1-r1/work/ooo/build/OOO320_m19/xmlsecurity/source/xmlsec/nss

Attention: if you build and deliver the above module(s) you may prolongue your the build issuing command "build --from xmlsecurity"

rmdir /var/tmp/portage/app-office/openoffice-3.2.1-r1/temp/K7bnniLnWa
make: *** [stamp/build] Error 1
 [[31;01m*[[0m ERROR: app-office/openoffice-3.2.1-r1 failed (compile phase):
 [[31;01m*[[0m   Build failed
Comment 2 Matthias Liebig 2011-02-15 15:39:28 UTC
Created attachment 262609 [details]
full build log

I have the same problem on ~amd64.

# emerge --info
Portage 2.2.0_alpha23 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.2, glibc-2.13-r1, 2.6.37-gentoo x86_64)
=================================================================
System uname: Linux-2.6.37-gentoo-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9550_@_2.66GHz-with-gentoo-2.0.1
Timestamp of tree: Tue, 15 Feb 2011 12:15:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.4.6, 2.5.4-r4, 2.6.6-r1, 2.7.1, 3.1.3
dev-util/cmake:      2.8.3-r1
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.5
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
Repositories: gentoo sunrise voip java-overlay multimedia isaco
Installed sets: @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL dlj-1.1 googleearth AdobeFlash-10.1 AdobeFlash-10"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/sunrise /var/lib/layman/voip /var/lib/layman/java-overlay /var/lib/layman/multimedia /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac abyss acl acpi aim alsa amd64 bash-completion bluetooth branding bzip2 cairo cdr cli cluster consolekit cracklib crypt cups cxx dbus declarative dri dts dvd dvdr emboss enca encode exif expat firefox flac fontconfig foomaticdb fortran gcrypt gdbm gdu gif git glib gnutls gpm gstreamer gtk iconv icq imap imlib ipv6 java java6 jpeg jpeg2k kde kpathsea lcms mad matroska mikmod mime mmx mng modules mp2 mp3 mp4 mpeg mudflap multilib musepack musicbrainz mysql ncurses nptl nptlonly nsplugin ogg opengl openmp pam pango pcre pdf perl plasma png policykit ppds pppd python qt3support qt4 quicktime readline sdl semantic-desktop session soap spell sse sse2 sse3 ssl startup-notification svg sysfs tcpd theora tiff truetype udev unicode usb vcd vorbis webkit wma wmf x264 xcb xine xinerama xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon fbdev vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

# emerge -pv libxml2 openoffice

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] dev-libs/libxml2-2.7.8  USE="icu ipv6 python readline -debug -doc -examples -test" 0 kB
[ebuild   R    ] app-office/openoffice-3.2.1-r1  USE="bash-completion cups dbus gstreamer gtk java kde nsplugin opengl pam (-aqua) -binfilter -debug -eds -gnome (-kdeenablefinal) -ldap -odk -templates" LINGUAS="-af -ar -as_IN -be_BY -bg -bn -br -brx -bs -ca -cs -cy -da -de -dgo -dz -el -en -en_GB -en_US -en_ZA -eo -es -et -eu -fa -fi -fr -ga -gl -gu -he -hi_IN -hr -hu -id -it -ja -ka -kk -km -kn_IN -ko -kok -ks -ku -lt -mai -mk -ml_IN -mn -mni -mr_IN -nb -ne -nl -nn -nr -ns -oc -or_IN -pa_IN -pl -pt -pt_BR -ru -rw -sa_IN -sat -sd -sh -sk -sl -sr -ss -st -sv -sw_TZ -ta -ta_IN -te_IN -tg -th -ti_ER -tn -tr -ts -uk -ur_IN -uz -ve -vi -xh -zh_CN -zh_TW -zu" 0 kB                                                                                                                                                   

Total: 2 packages (2 reinstalls), Size of downloads: 0 kB
Comment 3 Andreas Proschofsky (RETIRED) gentoo-dev 2011-02-15 17:36:11 UTC
Please try this with app-office/libreoffice which is actually a more recent version of app-office/openoffice (which in itself will go away in the near future)
Comment 4 Jonathan Heaney 2011-02-15 19:28:12 UTC
(In reply to comment #3)
> Please try this with app-office/libreoffice which is actually a more recent
> version of app-office/openoffice (which in itself will go away in the near
> future)
> 

I wasn't aware that libreoffice is intended to replace openoffice; just that it was a fork.

Anyway, libreoffice-3.3.0 fails at xmlsecurity as well.
Comment 5 Andreas Proschofsky (RETIRED) gentoo-dev 2011-02-16 09:17:44 UTC
I can confirm the problem here, bad stuff :-( Until we have a proper solution you can work around it by building OOo with USE="-nsplugin".
Comment 6 Neil Cathey 2011-02-17 04:54:27 UTC
The xmlsecurity package inside libreoffice has a header file, xmlsec.h, that has a #include <libxml/tree.h> inside an extern "C" block.  Now that libxml2 is pulling in icu headers, and icu headers pull in C++ headers from gcc, things broke.

I'm going to attach a patch that fixes things for me.  Put the patch in ${S}/patches/hotfixes and try it out.

Unfortunately, libreoffice makes things difficult.  The xmlsecurity package isn't extracted until after the compilation of libreoffice has started.  Fortunately, they already include patches for xmlsecurity.  The first part of the attached patch fixes makefile.mk to apply the new patch.  The second part of the attached patch creates a new file that is applied to xmlsecurity to move the #include statements above the extern "C" block.

I hope this makes sense.  Also, this patch is for libreoffice-3.3.0.  I do not know if it will work for openoffice.
Comment 7 Neil Cathey 2011-02-17 04:56:08 UTC
Created attachment 262821 [details, diff]
This patch fixes the xmlsecurity breakage with libxml2+icu for me.
Comment 8 Andreas Proschofsky (RETIRED) gentoo-dev 2011-02-17 10:26:23 UTC
Builds fine here with the patch, also the browser plugin is functional, so applied to libreoffice 3.3.0 and 3.3.1rc1. Thanks to Neil for the fix, great work!

Leaving the bug open as OOo is still broken, one more good reason to move to LibreOffice ;-)
Comment 9 Florian 2011-03-10 14:36:38 UTC
Created attachment 265455 [details, diff]
Proposed patch for app-office/openoffice-3.2.1 (*not* libreoffice)

The same patch, but adapted for OOo 3.2.1.
I changed one line and the xmlsec versions, but just launched the build -- if it worked for ~libreoffice, I hope it will for OOo !
Comment 10 Florian 2011-03-13 11:56:19 UTC
(In reply to comment #9)
> Created attachment 265455 [details, diff]
> Proposed patch for app-office/openoffice-3.2.1 (*not* libreoffice)

It looks like it works.
Comment 11 Andreas Proschofsky (RETIRED) gentoo-dev 2011-03-18 21:45:16 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > Created attachment 265455 [details, diff]
> > Proposed patch for app-office/openoffice-3.2.1 (*not* libreoffice)
> 
> It looks like it works.

Not here, the patch looks pretty broken and doesn't apply
Comment 12 Florian 2011-03-19 11:17:04 UTC
Created attachment 266465 [details]
bzip'ed build log

This is my build log
Comment 13 Florian 2011-03-19 11:19:39 UTC
Created attachment 266469 [details]
ebuild with patch applied

...and the ebuild I used.

I cannot do more about this issue (I'm not a developper).
Comment 14 Andreas Proschofsky (RETIRED) gentoo-dev 2011-03-28 06:18:48 UTC
*** Bug 360817 has been marked as a duplicate of this bug. ***
Comment 15 kaszynek 2011-03-30 17:02:28 UTC
I have the same problem. I don't understand what to do with this patch, where should I put it. Can someone explain me that?
Comment 16 Andreas Proschofsky (RETIRED) gentoo-dev 2011-03-31 06:27:42 UTC
Everyone with this problem: Please move to app-office/libreoffice, which has this bug fixed (and is marked stable now). app-office/openoffice is going away soon.
Comment 17 Andreas Proschofsky (RETIRED) gentoo-dev 2011-04-01 15:57:15 UTC
*** Bug 361431 has been marked as a duplicate of this bug. ***
Comment 18 Jeroen Roovers gentoo-dev 2011-05-18 00:30:41 UTC
*** Bug 367829 has been marked as a duplicate of this bug. ***
Comment 19 Tomáš Chvátal (RETIRED) gentoo-dev 2011-07-27 10:58:21 UTC
Closing as fixed, as this bug is fixed in libreoffice builds.
Comment 20 Dmitry Bigunyak 2011-07-27 12:20:47 UTC
(In reply to comment #19)
> Closing as fixed, as this bug is fixed in libreoffice builds.

Initially this bug about openoffice compilation problem, and it's still not solved. So, why did you close it? Please, don't suggest me to install libreoffice, while openoffice is in the portage tree I'd like to use it.
Please, reopen the bug.
Comment 21 Andreas Proschofsky (RETIRED) gentoo-dev 2011-07-27 17:08:43 UTC
(In reply to comment #20)
> (In reply to comment #19)
> > Closing as fixed, as this bug is fixed in libreoffice builds.
> 
> Initially this bug about openoffice compilation problem, and it's still not
> solved. So, why did you close it? Please, don't suggest me to install
> libreoffice, while openoffice is in the portage tree I'd like to use it.
> Please, reopen the bug.

openoffice is unmantained and the current version is a) masked now and b) has multiple security bugs. So you already gave yourself the valid advice: Please install libreoffice instead, it is the exact sucessor of what we had as app-office/openoffice in Gentoo anyways